## univention-directory-notifier 14.0.4-4A~5.0.0.202012141233

=== src/Makefile ===
#
# Univention Directory Notifier
#  Makefile
#
# Copyright 2004-2020 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.
#
CFLAGS := -Wall -g -D_FILE_OFFSET_BITS=64
LDADD := -luniventiondebug
NOTIFIER_LDADD = $(LDADD) -lldap
DUMP_LDADD = $(LDADD)


all: univention-directory-notifier

univention-directory-notifier: index.o cache.o callback.o network.o notify.o univention-directory-notifier.o
	$(CC) $(CFLAGS) -o $@ $^ $(NOTIFIER_LDADD)

univention-directory-notifier-index-dump: index.o index-dump.o
	$(CC) $(CFLAGS) -o $@ $^ $(DUMP_LDADD)

clean:
	$(RM) *.o core univention-directory-notifier univention-directory-notifier-index-dump

=== debian/changelog ===
univention-directory-notifier (14.0.4-4A~5.0.0.202012141233) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 14 Dec 2020 12:33:55 +0100

univention-directory-notifier (14.0.4-4) unstable; urgency=medium

  * Bug #51804: call unset_listener_callback before unlocking the listener file.
    Check listener file on restart, even if listener.priv exists

 -- Julia Bremer <bremer@univention.de>  Wed, 09 Dec 2020 11:10:47 +0100

univention-directory-notifier (14.0.4-3) unstable; urgency=low

  * Bug #52448: Remove univention-runit

 -- Philipp Hahn <hahn@univention.de>  Tue, 01 Dec 2020 11:20:18 +0100

univention-directory-notifier (14.0.4-2) unstable; urgency=low

  * Bug #52448: Remove univention-runit

 -- Philipp Hahn <hahn@univention.de>  Tue, 01 Dec 2020 11:04:37 +0100

univention-directory-notifier (14.0.4-1) unstable; urgency=low

  * Bug #43687: Remove runit files on upgrade

 -- Philipp Hahn <hahn@univention.de>  Fri, 27 Nov 2020 18:01:24 +0100

univention-directory-notifier (14.0.3-1) unstable; urgency=low

  * Bug #43687: Remove runit files on upgrade

 -- Philipp Hahn <hahn@univention.de>  Fri, 27 Nov 2020 11:23:14 +0100

univention-directory-notifier (14.0.2-1) unstable; urgency=low

  * Bug #43687: Remove runit files on upgrade

 -- Philipp Hahn <hahn@univention.de>  Thu, 26 Nov 2020 19:12:40 +0100

univention-directory-notifier (14.0.1-2) unstable; urgency=medium

  * Bug #43687: Convert UDN from runit to systemd

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 17 Nov 2020 10:33:03 +0100

univention-directory-notifier (14.0.1-1) unstable; urgency=medium

  * Bug #43686: use systemctl to start stop or restart UDL

 -- Sebastian Lobinger <lobinger@univention.de>  Fri, 30 Oct 2020 10:29:29 +0100

univention-directory-notifier (14.0.0-3) unstable; urgency=medium

  * Bug #42374: Wording fixes

 -- Arvid <requate@univention.de>  Mon, 05 Oct 2020 16:20:56 +0200

univention-directory-notifier (14.0.0-2) unstable; urgency=medium

  * Bug #42374: Wording - Master -> Primary; Slave -> Replica

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 25 Sep 2020 01:32:30 +0200

univention-directory-notifier (14.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 31 Jul 2020 15:28:00 +0200

univention-directory-notifier (13.0.3-2) unstable; urgency=medium

  * Bug #51722: Code cleanup inspired by Github pull request #18

 -- Arvid <requate@univention.de>  Wed, 29 Jul 2020 12:49:12 +0200

univention-directory-notifier (13.0.3-1) unstable; urgency=medium

  * Bug #51722: Avoid deadlock between slapo-translog and UDN

 -- Arvid <requate@univention.de>  Tue, 28 Jul 2020 19:45:02 +0200

univention-directory-notifier (13.0.2-1) unstable; urgency=medium

  * Bug #51091: make UCR templates compatible to python3

 -- Florian Best <best@univention.de>  Tue, 14 Apr 2020 10:48:29 +0200

univention-directory-notifier (13.0.1-18) unstable; urgency=medium

  * Bug #49872: Fix `univention-translog stat` check for index

 -- Philipp Hahn <hahn@univention.de>  Wed, 14 Aug 2019 14:43:50 +0200

univention-directory-notifier (13.0.1-17) unstable; urgency=medium

  * Bug #48698: Fix user visible spelling errors

 -- Philipp Hahn <hahn@univention.de>  Thu, 08 Aug 2019 05:46:39 +0200

univention-directory-notifier (13.0.1-16) unstable; urgency=low

  * Bug #48729: Fix spelling errors and increase verbosity

 -- Philipp Hahn <hahn@univention.de>  Wed, 08 May 2019 08:22:53 +0200

univention-directory-notifier (13.0.1-15) unstable; urgency=low

  * Bug #48729: Implement prune command

 -- Philipp Hahn <hahn@univention.de>  Fri, 03 May 2019 08:41:37 +0200

univention-directory-notifier (13.0.1-14) unstable; urgency=low

  * Bug #49277: Remove unused and deprecated code

 -- Philipp Hahn <hahn@univention.de>  Thu, 11 Apr 2019 15:40:32 +0200

univention-directory-notifier (13.0.1-13) unstable; urgency=low

  * Bug #49201: Improve 'univention-translog check --fix'

 -- Philipp Hahn <hahn@univention.de>  Thu, 04 Apr 2019 12:07:29 +0200

univention-directory-notifier (13.0.1-12) unstable; urgency=low

  * Bug #49201: Implement 'univention-translog check --fix'

 -- Philipp Hahn <hahn@univention.de>  Wed, 03 Apr 2019 20:34:21 +0200

univention-directory-notifier (13.0.1-11) unstable; urgency=low

  * Bug #28233: Check available file system space

 -- Philipp Hahn <hahn@univention.de>  Tue, 02 Apr 2019 17:05:13 +0200

univention-directory-notifier (13.0.1-10) unstable; urgency=low

  * Bug #48466: Version bump after Bug #49198

 -- Philipp Hahn <hahn@univention.de>  Mon, 01 Apr 2019 10:33:05 +0200

univention-directory-notifier (13.0.1-9) unstable; urgency=low

  * Bug #49198: Fix translog writing order

 -- Philipp Hahn <hahn@univention.de>  Fri, 29 Mar 2019 16:12:58 +0100

univention-directory-notifier (13.0.1-8) unstable; urgency=low

  * Bug #48466: Use non-blocking sockets to prevent denial-of-service attack

 -- Philipp Hahn <hahn@univention.de>  Mon, 18 Mar 2019 17:19:34 +0100

univention-directory-notifier (13.0.1-7) unstable; urgency=low

  * Bug #48642: UDN protocol 3 for new installations.

 -- Philipp Hahn <hahn@univention.de>  Tue, 19 Feb 2019 14:02:29 +0100

univention-directory-notifier (13.0.1-6) unstable; urgency=medium

  * Bug #48642: Merge UDN protocol 3

 -- Philipp Hahn <hahn@univention.de>  Mon, 18 Feb 2019 15:17:44 +0100

univention-directory-notifier (13.0.1-5) unstable; urgency=medium

  * Bug #41262: improve univention-replicate-many

 -- Jannik Ahlers <ahlers@univention.de>  Tue, 05 Feb 2019 17:25:42 +0100

univention-directory-notifier (13.0.1-4) unstable; urgency=medium

  * Bug #41262: version bump

 -- Jannik Ahlers <ahlers@univention.de>  Tue, 05 Feb 2019 13:23:32 +0100

univention-directory-notifier (13.0.1-3) unstable; urgency=medium

  * Bug #41262: make sure univention-replicate-many gets installed into /sbin



=== debian/control ===
Source: univention-directory-notifier
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.5.5
Build-Depends:
 debhelper,
 libldap2-dev,
 libsasl2-dev,
 libunivention-config-dev,
 libunivention-debug-dev,
 univention-config-dev (>= 15.0.3),

Package: univention-directory-notifier
Architecture: any
Depends:
 python-univention-lib (>= 1.0.25-1),
 shell-univention-lib (>= 1.0.6),
 univention-base-files,
 univention-ldap-server (>= 14.0.2-35),
 univention-ssl,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 univention-ldap-notifier (<< 2.2.1),
Description: UCS - Directory Notifier
 UCS Directory Notifier propagates changes on the LDAP
 server to clients listening for them. In doing so, just the
 DN of the altered object is transferred. Clients that need
 to detect changes within an object are expected to keep a
 local object cache themselves to do the comparison. As of
 this version, the only client implementation is the
 UCS Directory Listener.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Directory Notifier
#  rules file for the debian package
#
# Copyright 2004-2020 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

override_dh_auto_clean:
	$(MAKE) -C src clean
	dh_auto_clean

override_dh_fixperms:
	chmod 755 debian/univention-directory-notifier/etc/network/if-post-down.d/univention-directory-notifier
	dh_fixperms

override_dh_auto_build:
	$(MAKE) -C src
	dh_auto_build

%:
	dh $@ --with ucr,systemd

## univention-directory-notifier 14.0.5-8A~5.0.0.202202210816

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Univention Directory Notifier
 #  Makefile
 #
-# Copyright 2004-2020 Univention GmbH
+# Copyright 2004-2021 Univention GmbH
 #
 # https://www.univention.de/
 #
@@ -29,7 +29,7 @@
 # /usr/share/common-licenses/AGPL-3; if not, see
 # <https://www.gnu.org/licenses/>.
 #
-CFLAGS := -Wall -g -D_FILE_OFFSET_BITS=64
+CFLAGS += -Wall -pedantic
 LDADD := -luniventiondebug
 NOTIFIER_LDADD = $(LDADD) -lldap
 DUMP_LDADD = $(LDADD)

=== debian/changelog ===
univention-directory-notifier (14.0.5-8A~5.0.0.202202210816) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 21 Feb 2022 08:16:01 +0100

univention-directory-notifier (14.0.5-8) unstable; urgency=medium

  * Bug #49868: listener/listener.priv is now processed in smaller chunks,
    Skip all transactions which are < notify_last_id as they
    already have been appended successfully

 -- Esteban Martinena <martinena@univention.de>  Mon, 21 Feb 2022 06:00:50 +0100

univention-directory-notifier (14.0.5-7) unstable; urgency=medium

  * Bug #54203: Fix partial import when index < notifier_cache_size

 -- Julia Bremer <bremer@univention.de>  Mon, 20 Dec 2021 20:42:36 +0100

univention-directory-notifier (14.0.5-5) unstable; urgency=medium

  * Bug #53355: Silence Python logging deprecation warning

 -- Philipp Hahn <hahn@univention.de>  Mon, 06 Dec 2021 14:01:17 +0100

univention-directory-notifier (14.0.5-4) unstable; urgency=medium

  * Migrate univention-directory-notifier to Python 3.
    In case nothing to be done while pruning, dont raise an exception

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Thu, 04 Nov 2021 17:04:48 +0100

univention-directory-notifier (14.0.5-3) unstable; urgency=low

  * Bug #51911: Improve handling of invalid TID values like "<TransID>" and 0

 -- Philipp Hahn <hahn@univention.de>  Tue, 24 Aug 2021 18:13:24 +0200

univention-directory-notifier (14.0.5-2) unstable; urgency=medium

  * Bug #49430: Improve log messages of univention-translog

 -- Arvid <requate@univention.de>  Mon, 02 Aug 2021 23:31:03 +0200

univention-directory-notifier (14.0.5-1) unstable; urgency=medium

  * Bug #51911: Improve handling of invalid TID values like "<TransID>" and 0

 -- Arvid <requate@univention.de>  Mon, 02 Aug 2021 17:48:19 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: univention-directory-notifier
 Architecture: any
 Depends:
- python-univention-lib (>= 1.0.25-1),
+ python3-univention-lib (>= 1.0.25-1),
  shell-univention-lib (>= 1.0.6),
  univention-base-files,
  univention-ldap-server (>= 14.0.2-35),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Directory Notifier
 #  rules file for the debian package
 #
-# Copyright 2004-2020 Univention GmbH
+# Copyright 2004-2021 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-directory-notifier 14.0.5-9A~5.0.0.202205250707

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Univention Directory Notifier
 #  Makefile
 #
-# Copyright 2004-2021 Univention GmbH
+# Copyright 2004-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-directory-notifier (14.0.5-9A~5.0.0.202205250707) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 25 May 2022 07:07:24 +0200

univention-directory-notifier (14.0.5-9) unstable; urgency=low

  * Bug #54794: Heed univention-translog import --min <TID>

 -- Philipp Hahn <hahn@univention.de>  Wed, 25 May 2022 06:47:25 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Directory Notifier
 #  rules file for the debian package
 #
-# Copyright 2004-2021 Univention GmbH
+# Copyright 2004-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-directory-notifier 14.0.6-2A~5.0.0.202302061626

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,10 @@
 # Univention Directory Notifier
 #  Makefile
 #
-# Copyright 2004-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2004-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-directory-notifier (14.0.6-2A~5.0.0.202302061626) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 06 Feb 2023 16:26:25 +0100

univention-directory-notifier (14.0.6-2) unstable; urgency=medium

  * Bug #42330: Remove old maintainer script package update code

 -- Philipp Hahn <hahn@univention.de>  Mon, 06 Feb 2023 14:21:33 +0100

univention-directory-notifier (14.0.6-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:39 +0100

univention-directory-notifier (14.0.5-10) unstable; urgency=low

  * Bug #54986: slap tools must also work in case
    /etc/ldap/slapd.d/cn=config.ldif exists (even if invalid)

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Wed, 25 Jan 2023 18:03:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Univention Directory Notifier
 #  rules file for the debian package
 #
-# Copyright 2004-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2004-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-directory-notifier 14.0.6-5A~5.0.0.202304182122

=== debian/changelog ===
univention-directory-notifier (14.0.6-5A~5.0.0.202304182122) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 18 Apr 2023 21:22:37 +0200

univention-directory-notifier (14.0.6-5) unstable; urgency=medium

  * Bug #55957: Fix start-stop-daemon option handling

 -- Arvid <requate@univention.de>  Wed, 12 Apr 2023 13:03:43 +0200

univention-directory-notifier (14.0.6-4) unstable; urgency=low

  * Bug #54797: Implement `univention-translog reindex`

 -- Philipp Hahn <hahn@univention.de>  Fri, 03 Mar 2023 15:31:11 +0100

univention-directory-notifier (14.0.6-3) unstable; urgency=low

  * Bug #54797: Implement `univention-translog reindex`

 -- Philipp Hahn <hahn@univention.de>  Fri, 03 Mar 2023 14:57:22 +0100

## univention-directory-notifier 15.0.1A~5.1.0.202402201102

=== debian/changelog ===
univention-directory-notifier (15.0.1A~5.1.0.202402201102) ucs5-1-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 20 Feb 2024 11:02:25 +0100

univention-directory-notifier (15.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Tue, 20 Feb 2024 08:51:28 +0100

univention-directory-notifier (14.0.7-1) UNRELEASED; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Univention GmbH <packages@univention.de>
 Standards-Version: 3.5.5
 Build-Depends:
- debhelper,
+ debhelper-compat (=13),
  libldap2-dev,
  libsasl2-dev,
  libunivention-config-dev,

## univention-directory-notifier 16.0.4

=== src/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2023 Univention GmbH
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-directory-notifier (16.0.4) unstable; urgency=medium

  * Bug #56858: replace transitional packages

 -- Christian Castens <castens@univention.de>  Mon, 03 Jun 2024 16:00:00 +0200

univention-directory-notifier (16.0.3) unstable; urgency=medium

  * Bug #56604: use Python 3.11 code annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 00:46:34 +0100

univention-directory-notifier (16.0.2) unstable; urgency=medium

  * Bug #56793: Replace libnss-ldapd with SSSd

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Fri, 08 Mar 2024 00:18:47 +0100

univention-directory-notifier (16.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:17 +0100

univention-directory-notifier (15.0.3) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:19 +0100

univention-directory-notifier (15.0.2) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:29 +0100

univention-directory-notifier (14.0.8-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 3.5.5
 Build-Depends:
  debhelper-compat (=13),
- libldap2-dev,
+ libldap-dev,
  libsasl2-dev,
  libunivention-config-dev,
  libunivention-debug-dev,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2023 Univention GmbH
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #
@@ -46,4 +46,4 @@
 	dh_auto_build
 
 %:
-	dh $@ --with ucr,systemd
+	dh $@ --with ucr

## univention-directory-notifier 16.3.0

=== debian/changelog ===
univention-directory-notifier (16.3.0) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58568: UCS 5.2-3 version bump

  [ Florian Best ]
  * Bug #58644: allow enabling notifier/debug/structured-logging

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:20 +0200

univention-directory-notifier (16.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:48 +0200

univention-directory-notifier (16.0.5-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  debhelper-compat (=13),
  libldap-dev,
  libsasl2-dev,
- libunivention-config-dev,
+ libunivention-config-dev (>= 17.3.0),
  libunivention-debug-dev,
- univention-config-dev (>= 15.0.3),
+ univention-config-dev (>= 17.3.0),
 
 Package: univention-directory-notifier
 Architecture: any

## univention-directory-notifier 16.4.1

=== src/Makefile ===
#
# Univention Directory Notifier
#  Makefile
#
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only
#
CFLAGS += -Wall -pedantic
LDADD := -luniventiondebug -luniventionconfig
NOTIFIER_LDADD = $(LDADD) -lldap
DUMP_LDADD = $(LDADD)


all: univention-directory-notifier

univention-directory-notifier: index.o cache.o callback.o network.o notify.o univention-directory-notifier.o
	$(CC) $(CFLAGS) -o $@ $^ $(NOTIFIER_LDADD)

univention-directory-notifier-index-dump: index.o index-dump.o
	$(CC) $(CFLAGS) -o $@ $^ $(DUMP_LDADD)

clean:
	$(RM) *.o core univention-directory-notifier univention-directory-notifier-index-dump

=== debian/changelog ===
univention-directory-notifier (16.4.1) unstable; urgency=medium

  * Bug #58653: set .*/debug/structured-logging=true by default

 -- Florian Best <best@univention.de>  Fri, 28 Nov 2025 18:03:07 +0100

univention-directory-notifier (16.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:01 +0100

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Directory Notifier
#  rules file for the debian package
#
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

override_dh_auto_clean:
	$(MAKE) -C src clean
	dh_auto_clean

override_dh_fixperms:
	chmod 755 debian/univention-directory-notifier/etc/network/if-post-down.d/univention-directory-notifier
	dh_fixperms

override_dh_auto_build:
	$(MAKE) -C src
	dh_auto_build

%:
	dh $@ --with ucr
